ApiMaintenances
Replace a single Maintenance
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://dev.sweetconnect.io/api/wds/v1/maintenances/string" \ -H "Content-Type: application/json" \ -d '{ "title": "string", "assetName": "string", "description": "string", "active": true, "structure": "string", "part": "string", "responsibilityGroup": "operator", "dueDate": "2019-08-24T14:15:22Z", "startValue": 0, "intervalUnit": "none", "componentsList": "string", "toolsList": "string", "showFixedDialog": true, "showStateDialog": true, "showInputDialog": true }'{
"data": {
"id": "string",
"owner": "string",
"title": "string",
"pdmId": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"assetId": "string",
"assetName": "string",
"description": "string",
"active": true,
"structure": "string",
"part": "string",
"responsibilityGroup": "operator",
"dueDate": "2019-08-24T14:15:22Z",
"startValue": 0,
"interval": 0,
"intervalUnit": "none",
"componentsList": "string",
"toolsList": "string",
"showFixedDialog": true,
"showStateDialog": true,
"showInputDialog": true,
"inputFieldLabel": "string",
"reminder": {
"id": "string",
"interval": 0,
"intervalUnit": "years"
}
},
"meta": {}
}